On this page
No Headings
Request body for updating an existing customer. All fields are optional except external_id, which is required as the external unique identifier .
objectnamestringFull name of the customer
emailstring^.+@[^"\-].+$The internationalized email address.
billing_entity_codestring^[a-zA-Z0-9_-]*$Unique code used to identify the billing entity. Must contain only alphanumeric characters, underscores, and hyphens.
addressobjectAddress of the customer or party.
line1stringFirst line of the address.
line2stringSecond line of the address (optional). This can include apartment, suite, or unit numbers.
citystringCity of the customer or party.
statestringState or region of the customer or party.
postal_codestringPostal or ZIP code of the customer or party. Typically required for countries with a postal code or an equivalent.
countrystring^[A-Z]{2}$Country of the customer or party. Use ISO 3166-1 alpha-2 country codes.
phonestringphonePrimary phone number of the customer, including country code if available.
payment_method_tokenobjectToken representing the customer's saved payment method in PayPal Vault.
tax_codesarrayList of unique codes used to identify taxes to be applied.
itemsstringmetadataarrayitemsobjectSet of key-value pairs that you can attach to a customer. This can be useful for storing additional information about the customer in a structured format
keyrequiredstringThe metadata object key
valuerequiredstringThe metadata object value
display_in_invoicerequiredbooleanDetermines whether the item or information should be displayed in the invoice. If set to true, the item or information will be included and visible in the generated invoice. If set to false, the item or information will be excluded and not displayed in the invoice.